package data;

import java.awt.image.BufferedImage;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;

import javax.imageio.ImageIO;

public class GettysburgAddress {
    private String text;
    private BufferedImage lincolnImage;

    public GettysburgAddress() throws Exception {
        File inputFile = new File("data", "gettysburg-address.txt");
        BufferedReader rdr = new BufferedReader(new FileReader(inputFile));
        StringBuilder buf = new StringBuilder();
        String line;
        while ((line = rdr.readLine()) != null) {
            buf.append(line + " ");
        }
        rdr.close();
        
        // Replace all multiple spaces with a single space.
        text = buf.toString().trim().replaceAll("  *?", " ");
        
        File imageFile = new File("data", "lincoln.jpg");
        lincolnImage = ImageIO.read(imageFile);
    }
    
    public String getText() {
        return text;
    }
    
    public BufferedImage getImage() {
        return lincolnImage;
    }
    
    public String[] getWords() {
        String [] words = text.split(" ");
        return words;
    }
}
